Subject: Re: If you would write git from scratch now, what would you change?

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Nov 2007 17:54:08 -0800

"Shawn O. Pearce" <[email-masked]> writes:

> All of the above is written with 20/20 hindsight and all that.
>
> Looking back (and knowing myself well) I think the only item I
> would have gotten right if I had written Git from scratch is the
> first one above (the tree entry ordering).  I probably would have
> done something equally "as bad" as what we have today for all of
> the others...

... not to mention countless others you would get wrong that you did not
list in the above, as the current git got them right ;-)